Bug 437548 - 100% CPU usage in window mode
100% CPU usage in window mode
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-system-monitor (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-14 16:32 EDT by Michael Schwendt
Modified: 2014-06-18 05:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:05:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2008-03-14 16:32:35 EDT
Cannot find any ticket that tracks this.
Used http://bugz.fedoraproject.org/gnome-system-monitor

Opening the window to display the resource usage graphs, CPU usage jumps to 100% and stays there. Trying to close the window often results in a warning that the application doesn't respond.

gnome-system-monitor-2.21.92-4.fc9.i386
Comment 1 Julian Hofmann 2008-04-11 17:57:04 EDT
That seems to be the same problem I have with

gnome-system-monitor-2.22.0-2.fc9.x86_64

When switching to the Resources-tab, X needs a lot of CPU-power. The amount
depends on the size of the System monitor window. For full screen (1920x1200) my
Athlon 6000+ is at 40%. This is also true when the system monitor is on a
different workspace. Switching from to the workspace with the system monitor is
slow (about 1 sec). Resizing the System monitor window will bring the CPU to 100%.

The Tabs "System" and "File System" are fine. For the tab Processes,
gnome-system-monitor is at about 7% CPU but X is fine.

I had two complete crashes when switching from Resources to Processes, but this
is not reproducible.
Comment 2 Bug Zapper 2008-05-14 02:04:00 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Brian Brock 2008-09-23 11:36:03 EDT
reproducing with:

gnome-system-monitor-2.22.4-1.fc9.i386

on a 2-cpu system, the monitor appears to peg one cpu at 100% (really 100% of a cpu, switching back and forth between cpus).
Comment 4 Bug Zapper 2009-06-09 19:46:15 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Brian Brock 2009-09-11 13:47:49 EDT
I'm not seeing this in F11.
Comment 6 Michael Schwendt 2009-09-11 13:57:23 EDT
Me neither, but original report was for '9' and currently is for '10'.
Comment 7 Bug Zapper 2009-11-18 07:26:59 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 01:05:19 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.